package com.ruoyi.project.production.mapper;

import java.util.List;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.production.domain.TBlind;

/**
 * 盲板清单Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-24
 */
public interface TBlindMapper 
{
    /**
     * 查询盲板清单
     * 
     * @param id 盲板清单ID
     * @return 盲板清单
     */
    public TBlind selectTBlindById(String id);

    /**
     * 查询盲板清单列表
     * 
     * @param tBlind 盲板清单
     * @return 盲板清单集合
     */
    @DataScope(deptAlias = "d")
    public List<TBlind> selectTBlindList(TBlind tBlind);

    /**
     * 新增盲板清单
     * 
     * @param tBlind 盲板清单
     * @return 结果
     */
    public int insertTBlind(TBlind tBlind);

    /**
     * 修改盲板清单
     * 
     * @param tBlind 盲板清单
     * @return 结果
     */
    public int updateTBlind(TBlind tBlind);

    /**
     * 删除盲板清单
     * 
     * @param id 盲板清单ID
     * @return 结果
     */
    public int deleteTBlindById(String id);

    /**
     * 批量删除盲板清单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTBlindByIds(String[] ids);
}
